Subject: Re: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 25 Mar 2016 13:59:51 -0500

Hi Danny,

I was reading Dave's concerns.
In my view the real problem in this draft is not with the nomadic IP
address, actually Dave's concern was very syntactic.
I have a semantic concern with the sustained IP address.
What really is this?
Sustained IP address is very important for this draft because
everything is based on that.
Reading Section 3.1, Sustained IP Address is kind of a banana, it has
the taste that the beholder wants to get. It could be Fixed IP Address
or nomadic.
If Sustained IP Address gets me what I want, i.e. IP session
continuity, why do I need anything else?
It says in the draft, it may be configured by using access network
anchoring, corresponding network anchoring, or something else,
whatever that is?
Which access network are you talking about? Is it good old 3GPP? Then,
the answer is yes but then what type of new solution is this?

I think what this draft is trying to say is if I am in 3GPP coverage
area I use 3GPP anchoring, if I am in Wi-Fi coverage area, I use
MIPv6. Is this what you had in mind?

I do not recall under which category does this draft fall? Is it a
maintenance type of draft? Or is it dmm type of draft?

Regards,

Behcet

On Sun, Feb 21, 2016 at 8:05 PM, Dave Dolson <[email-masked]> wrote:
> >From an application developer's point of view, I don't think there should be a distinction about roaming between providers or with the same provider.
> It should work with WiFi, mobile, even wired Ethernet.
> E.g., as I unplug my laptop from work, use the 3G stick on the train, WiFi in the coffee shop and plug in wired Ethernet at home. I could have a fixed address as well as several temporary (no guarantee) addresses.
>
> I'm not saying all of those access technologies need to have implementation of all types of addresses.
> One might only get a fixed address from one of those providers, all the others being no-guarantee.
>
> -Dave
>
> ________________________________________
> From: Moses, Danny [[email-masked]]
> Sent: Sunday, February 21, 2016 10:05 AM
> To: Dave Dolson; [email-masked]
> Subject: RE: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01
>
> Hi Dave,
>
> Regarding the term "Nomadic" IP address:
> Actually, this draft is about enhancements to the Socket API that are useful in relation with movement of the mobile host. Its intent was to notify the access network as to the type of IP session continuity it requires upon movement between LANs. The idea is to reduce the network support for session continuity (via PMIP, GTP, etc) when it is not needed. This draft is not dealing with devices migrating from one service provider to another as other issues should be handled in such scenario.
>
> "Local" is not good as it clashes with IPv6 Local addresses.
>
> The best term in my mind would be: "An IP address without any NW guarantee to continue to be valid after a potential host movement to a new LAN with a different IP prefix". So far, we could not come with a good name for such an address. May be "Guarantee-less"?
>
> Let's not forget: this is going to be used by application developers who do not necessarily fully understand how networks allocate IP addresses and maintain their validity.
>
> Regarding when On-Demand resolution occurs (Point 6):
> How about if we say:
>
> If applications want to influence the type of IP address their generated traffic will use, they must do so after creating a Socket and prior to generating the first transmitted packet.
>
> We do not want to be too specific since it is not a user's manual.
>
> Does this sound reasonable to you?
>
> Thanks,
>         /Danny
>
> -----Original Message-----
> From: Dave Dolson [mailto:[email-masked]]
> Sent: Thursday, February 18, 2016 22:46
> To: Moses, Danny; [email-masked]
> Subject: RE: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01
>
> Danny and Alper,
> Thanks. I hope your helpful explanations below make it into the draft as well.
>
>
> On the "nomadic address" question, this name really feels wrong to me. The address doesn't move and hence isn't nomadic.
> You don't like "ephemeral" because it doesn't convey movement.
> But a question, does the host have to move for the principles of this document to apply?
> Couldn't a host get a new address (perhaps from a different wireless provider) without moving?
> Maybe "non-nomadic address" or "provider-local address" ?
>
>
> On point 6, yes I think you have to specify when the resolution occurs, since it affects which functions return error codes.
> I don't think the local address can be resolved before connect(), since the choice of local address may depend on the remote address to connect. E.g., connections to a peer on a local LAN subnet need to use an address on that interface.
>
>
> -Dave
>
>
>
>
> -----Original Message-----
> From: Moses, Danny [mailto:[email-masked]]
> Sent: Thursday, February 18, 2016 9:13 AM
> To: Dave Dolson; [email-masked]
> Subject: RE: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01
>
> Hi Dave,
>
> Sorry for the very late response. Somehow we missed the original email and were reminded by Jouni (Thanks Jouni).
>
> Anyway, thank you for the thorough and helpful comments. We have produced a new version and will publish it shortly.
>
> Please see further details to your comments:
>
> Dave>
> 1. Was the term "Nomadic" discussed? To me, a nomadic thing moves around, but in this draft, Nomadic IP addresses do not move around; they are replaced. "Ephemeral IP Address" might convey the idea more clearly.
>
> Reply>
> "Nomadic" was discussed, it is not the best name but we could not find a better one.
> What 'moves around' is the mobile host and as a result of that movement, its source IP address might become obsolete (when it moves from its original LAN to another with a different prefix). An application on a mobile host requires a 'Nomadic' IP address when it does not care for the IP continuity guarantee services provided by the network. This is either because it knows that the mobile host is not really mobile, or because it has other means of maintaining session continuity and does not want the overhead associated with network-provided IP continuity services.
>
> The term 'Ephemeral' is not associated with movement - we think it is better to have a 'movement'-related name.
>
> Dave>
> 2. I know this is really picky, but it wouldn't hurt to spell out "REQUIRE" in IPV6_REQ_FIXED_IP etc.
>  - IPV6_REQUIRE_FIXED_IP in parallel with IPV6_PREFER_SRC_PUBLIC
>
> Reply>
> Make sense. Will be changed in the next version.
>
> Dave>
> 3. There is a "TDB" in section 3.4. "TBD: Disallow this case?"  This needs to be resolved. I suggest the most restrictive flag applies.
>
> Reply>
> This is about whether to enable the application to set more than one flag or not per a given socket. We left that for discussion in the draft but never resolved it.
>
> We prefer not to enable setting more than one flag since it add complexity. The application can check the returned code and act upon it. For example, if it uses setsockopt() with IPV6_REQUIRE_FIXED_IP and the call returns with an error code, it can re-attempt with IPV6_REQUEST_SUSTAINED_IP or IPV6_REQUEST_NOMADIC_IP (or without the flags - in case they are not supported by the network).
>
> So we are replacing the original text:
> More than one of these flags may be set on the same socket. In that case, an IP address compliant with any one of them shall be selected.
> TBD: Disallow this case?
>
> With:
> Only one flag of these flags may be set on the same socket. If an application attempts to set more than one flag, the most recent setting will be the one in effect.
>
> Dave>
> 4. Must resolve "Application of this solution to IPv4 is TBD."
>  - clearly the socket option is IPV6_something, but...
>  - there is uncharted territory surrounding IPv4-mapped-IPv6 addresses (https://tools.ietf.org/html/rfc4291#section-2.5.5.2 ), when socket option IPV6_V6ONLY is false.
>  - I think the goal should be that the API *does* apply to IPv4 via IPv4-mapped-IPv6 addresses, while acknowledging that the operating system or network may not be able to fulfill the request.
>     - I.e., permit the application to request constraints on IPv4, but also expect the application to try for a relaxed address if the initial request fails.
>  - I see no need to support the API with AF_INET sockets, since AF_INET6 can be used with IPV6_ONLY=false and IPv4-mapped-IPv6 addresses.
>
> Reply>
> Actually, the charter of DMM addresses IPv6 only. So we are removing the text that refers to IPv4 altogether. If we see in the future a need to address IPv4, we will do so in a separate draft.
>
> Dave>
> 5. The error codes are not clearly defined. What is the errno for failure of setsockopt() and others?
>
> Reply>
> True.
>
> We added the following text at the end of section 3.4:
>
> The following new error codes are also defined in the document and will be used in Socket API in compliance with the [RFC5014]:
> EAI_REQUIREIPNOTSUPPORTED /*The network does not support the ability to request that IP address type */ EAI_REQUIREIPFAILED /* The network could not assign the specific IP address type */
>
> Dave>
> 6. I'm unclear on when the on-demand resolution occurs? I don't think it can be done at the time of setsockopt(); as I understand it, the addresses are resolved later, at connect() or listen(). I'm not sure about this, but it should be explained. If the resolution is done at connect() time, is a new errno required?
>
> Reply>
> The addresses should be resolved before connect() or listen() in order to avoid unnecessary delay caused by the need to request the address from the network (with DHCP - for example). Furthermore, UDP should also be supported, hence connect() or listen() may not be used. There for, they must be resolved at setsockopt() prior to the above calls. Do you see any problem with that?
>
> Do you think text should be added to clarify this?
>
> Dave>
> 7. Some socket interfaces are not mentioned. What about sendto(), sendmsg(), which are not connection-oriented?
>
> Reply>
> Both assume that a source IP address was assigned to the host.
> If the application invoked setsockopt() successfully prior to attempting to send a message, the appropriate source IP address type will be used for the transmitted packets. If not, whatever source IP address assigned to the host will be used.
>
> Dave>
> 8. In section 4.1, support for legacy applications does not really say how to support legacy applications.
>  - my opinion: the default (lacking new socket options) should be to require Fixed for listen() and Sustained for connect(), and Nomadic/Ephemeral for non-connected datagrams.
>
> Reply>
> Legacy application will not use these new flags, and as a result, will not be able to influence the source IP address type and related mobility support. As a result, they will behave exactly as applications behave today.
>
> Clearly there will be some default behavior as to the assigned source IP address. Today, this depends on the access networks. Cellular networks usually provide Fixed or Sustained source IP addresses, and WiFi networks usually provide Nomadic source IP addresses.
>
> We do not think we should specify a strict behavior in this case, but rather leave it to be implementation-specific.
>
> Once again, thanks for the good comments.
>
> Alper and Danny
>
> -----Original Message-----
> From: dmm [mailto:[email-masked]] On Behalf Of Dave Dolson
> Sent: Wednesday, December 02, 2015 18:42
> To: Jouni Korhonen; [email-masked]; Dapeng Liu
> Subject: Re: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01
>
> (I haven't paid close attention to the list, so apologies if I'm raising old issues.)
>
> 1. Was the term "Nomadic" discussed? To me, a nomadic thing moves around, but in this draft, Nomadic IP addresses do not move around; they are replaced. "Ephemeral IP Address" might convey the idea more clearly.
>
> 2. I know this is really picky, but it wouldn't hurt to spell out "REQUIRE" in IPV6_REQ_FIXED_IP etc.
>  - IPV6_REQUIRE_FIXED_IP in parallel with IPV6_PREFER_SRC_PUBLIC
>
> 3. There is a "TDB" in section 3.4. "TBD: Disallow this case?"  This needs to be resolved. I suggest the most restrictive flag applies.
>
> 4. Must resolve "Application of this solution to IPv4 is TBD."
>  - clearly the socket option is IPV6_something, but...
>  - there is uncharted territory surrounding IPv4-mapped-IPv6 addresses (https://tools.ietf.org/html/rfc4291#section-2.5.5.2 ), when socket option IPV6_V6ONLY is false.
>  - I think the goal should be that the API *does* apply to IPv4 via IPv4-mapped-IPv6 addresses, while acknowledging that the operating system or network may not be able to fulfill the request.
>     - I.e., permit the application to request constraints on IPv4, but also expect the application to try for a relaxed address if the initial request fails.
>  - I see no need to support the API with AF_INET sockets, since AF_INET6 can be used with IPV6_ONLY=false and IPv4-mapped-IPv6 addresses.
>
> 5. The error codes are not clearly defined. What is the errno for failure of setsockopt() and others?
>
> 6. I'm unclear on when the on-demand resolution occurs? I don't think it can be done at the time of setsockopt(); as I understand it, the addresses are resolved later, at connect() or listen(). I'm not sure about this, but it should be explained. If the resolution is done at connect() time, is a new errno required?
>
> 7. Some socket interfaces are not mentioned. What about sendto(), sendmsg(), which are not connection-oriented?
>
> 8. In section 4.1, support for legacy applications does not really say how to support legacy applications.
>  - my opinion: the default (lacking new socket options) should be to require Fixed for listen() and Sustained for connect(), and Nomadic/Ephemeral for non-connected datagrams.
>
>
>
> -Dave
>
>
>
>
> -----Original Message-----
> From: dmm [mailto:[email-masked]] On Behalf Of Jouni Korhonen
> Sent: Tuesday, December 01, 2015 1:07 PM
> To: [email-masked]; Jouni; Dapeng Liu
> Subject: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01
>
> Folks,
>
> This mail starts two week WGLC for the I-D:
>         https://tools.ietf.org/html/draft-ietf-dmm-ondemand-mobility-01
>
> The WGLC ends 12/15/2015.
>
> Provide your reviews and comments to the mailing list. For the better tracking of issues and proposed changed use the Issue Tracker to submit your issues/proposals.
>
> - Jouni & Dapeng
>
> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm
>
> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm
> ---------------------------------------------------------------------
> A member of the Intel Corporation group of companies
>
> This e-mail and any attachments may contain confidential material for the sole use of the intended recipient(s). Any review or distribution by others is strictly prohibited. If you are not the intended recipient, please contact the sender and delete all copies.
>
> ---------------------------------------------------------------------
> A member of the Intel Corporation group of companies
>
> This e-mail and any attachments may contain confidential material for
> the sole use of the intended recipient(s). Any review or distribution
> by others is strictly prohibited. If you are not the intended
> recipient, please contact the sender and delete all copies.
>
>
> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm

---

From: "Moses, Danny" <[email-masked]>
Date: Sat, 26 Mar 2016 15:31:22 +0000

Hi Behcet,

Please see my reply in the text.

Thanks,
	/Danny

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]] 
Sent: Friday, March 25, 2016 22:00
To: Dave Dolson
Cc: Moses, Danny; [email-masked]
Subject: Re: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01

Hi Danny,

I was reading Dave's concerns.
In my view the real problem in this draft is not with the nomadic IP address, actually Dave's concern was very syntactic.
I have a semantic concern with the sustained IP address.
What really is this?
Sustained IP address is very important for this draft because everything is based on that.
Reading Section 3.1, Sustained IP Address is kind of a banana, it has the taste that the beholder wants to get. It could be Fixed IP Address or nomadic.
If Sustained IP Address gets me what I want, i.e. IP session continuity, why do I need anything else?

DM> I am not sure I fully understood your comment/question here. I hope my reply is sufficient.
DM>I did not understand your attempt to find resemblance between a sustained IP address and a Banana. I also do not understand why you write that it could be a Fixed IP address or a Nomadic IP address. It certainly cannot. What should we modify in section 3.1 to make the distinguish between the different types of services provided to each type of address more clearer?
DM>If a Sustained IP address gets you what you want - choose it when your application establishes a Socket. If on the other hand, a Nomadic IP address gets you what you want, choose Nomadic when your application establishes a Socket. If you only write applications that require Sustained IP addresses, always choose them when establishing Sockets. But, as we claim in the draft, there are different types of applications in the sense of the IP session continuity they require from the network.
DM>Some application do not require IP session continuity services from the network and should not be required to endure the overhead accompanied by that service (Tunneling overhead, un-optimal routs etc..). This draft enables application to convey the type of service they require, and may lead to significant reduction of overhead when the above services are not required.

It says in the draft, it may be configured by using access network anchoring, corresponding network anchoring, or something else, whatever that is?
Which access network are you talking about? Is it good old 3GPP? Then, the answer is yes but then what type of new solution is this?
DM> This draft does not list the various ways of achieving IP session continuity as required for a Sustained IP address. It's true that current cellular networks use tunneling but other methods could be implemented in the future. We do not want to limit the definition of the different services to a specific radio technology.

I think what this draft is trying to say is if I am in 3GPP coverage area I use 3GPP anchoring, if I am in Wi-Fi coverage area, I use MIPv6. Is this what you had in mind?
DM> Actually it does not say anything about the means of enabling Sustained IP addresses. It only defines what the different services are, and defines extension to the existing Socket interface, to enable applications specify the type of IP continuity service they need.

I do not recall under which category does this draft fall? Is it a maintenance type of draft? Or is it dmm type of draft?
DM>It’s a DMM draft

Regards,

Behcet

On Sun, Feb 21, 2016 at 8:05 PM, Dave Dolson <[email-masked]> wrote:
> EAI_REQUIREIPNOTSUPPORTED /*The network does not support the ability 
> to request that IP address type */ EAI_REQUIREIPFAILED /* The network 
> could not assign the specific IP address type */
>
> Dave>

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 28 Mar 2016 11:22:01 -0500

> DM>If a Sustained IP address gets you what you want - choose it when your application establishes a Socket. If on the other hand, a Nomadic IP address gets you what you want, choose Nomadic when yo…

Behcet: You are assigned an address, how do you know it is
Sustained/fixed/nomadic IP address?

Next Q: As for nomadic, I understand that I change my address when my
network changes, i.e. I avoid having topologically incorrect address.
For fixed, I keep my address even if my network changes.
What is the sustained address case?

I think your draft should better use these types (topologically
correct, etc.) concepts to make sense and be understandable.

> DM>Some application do not require IP session continuity services from the network and should not be required to endure the overhead accompanied by that service (Tunneling overhead, un-optimal rout…

Behcet: I understand the API extension part of your draft, but I don't
understand why you need it. You should clearly explain the use case.
Currently, the main idea is to get sustained IP address but it is not
explained how the application gets a sustained address because it is
not known?
Without a clear case, I don't think the extension is warranted.

> DM> Actually it does not say anything about the means of enabling Sustained IP addresses. It only defines what the different services are, and defines extension to the existing Socket interface, to…

Behcet: Yes but without explaining what is sustained address, I don't
think you can justify the extension. So the draft needs a strong
justification and use case text.

> I do not recall under which category does this draft fall? Is it a maintenance type of draft? Or is it dmm type of draft?
Behcet: So no fixed anchoring in e.g. 3GPP is assumed?

---

From: "Moses, Danny" <[email-masked]>
Date: Wed, 30 Mar 2016 15:41:19 +0000

Hi Behcet,

Please see my new answers marked with DM>>

Thanks,
	/Danny

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]] 
Sent: Monday, March 28, 2016 09:22
To: Moses, Danny
Cc: [email-masked]
Subject: Re: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01

> DM>If a Sustained IP address gets you what you want - choose it when your application establishes a Socket. If on the other hand, a Nomadic IP address gets you what you want, choose Nomadic when yo…

Behcet: You are assigned an address, how do you know it is Sustained/fixed/nomadic IP address?
DM>> Good question. Naturally, the network needs to be enhanced to support these new alternatives., need to be able to receive a specific request and to indicate to the mobile node what type of IP address (or prefix) it had allocated for it. This requires enhancements to some protocols who are used to provide IP addresses. Please refer to draft-moses-dmm-dhcp-ondemand-mobility-02 which defines the enhancements to DHCPv6 for supporting the stating of the required IP address type.

Next Q: As for nomadic, I understand that I change my address when my network changes, i.e. I avoid having topologically incorrect address.
For fixed, I keep my address even if my network changes.
What is the sustained address case?

DM>> The difference from Sustained IP address and Fixed IP address is that the Sustained IP address is guaranteed by the network to be valid as long as the IP session is alive, while the Fixed IP address is guaranteed to be valid even after the IP session ends (in case the application need to re-use it at a later time.

I think your draft should better use these types (topologically correct, etc.) concepts to make sense and be understandable.
DM>> Thanks for the suggestion. We feel that Sustained and Fixed are understandable. We have some debates regarding - Nomadic.

> DM>Some application do not require IP session continuity services from the network and should not be required to endure the overhead accompanied by that service (Tunneling overhead, un-optimal rout…

Behcet: I understand the API extension part of your draft, but I don't understand why you need it. You should clearly explain the use case.
Currently, the main idea is to get sustained IP address but it is not explained how the application gets a sustained address because it is not known?
Without a clear case, I don't think the extension is warranted.

DM>> The introduction section and sections 3.1-3.3 provides a decent background. Would you like to offer text to improve it?

> DM> Actually it does not say anything about the means of enabling Sustained IP addresses. It only defines what the different services are, and defines extension to the existing Socket interface, to…

Behcet: Yes but without explaining what is sustained address, I don't think you can justify the extension. So the draft needs a strong justification and use case text.
DM>> But the different address types are well explained in section 3.1. Please read it once more and let me know how it can be explained better.

Behcet: So no fixed anchoring in e.g. 3GPP is assumed?
DM>> I do not understand why you reached this conclusion. It is not so. The current 3GPP deployments provide Fixed IP addresses via GTP.

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 30 Mar 2016 14:12:04 -0500

Hi Danny,

I am removing all previous conversation because it all got mixed up.
Let's start afresh.

I read you dhcp draft also.

There is confusion in several levels. Your API draft talks about
different applications on a MN needing different types of mobility
services. Your DHCPv6 draft seems to give a solution on how a host can
get different types of addresses/prefixes from DHCPv6 server,
so is it for a host or an application?
Prefix or address is assigned for an interface, that is another well
known concept which your draft seem to completely ignore, i.e. a host
may have multiple interfaces.

Another concept is (as I already mentioned) topological correctness.
If MN changes subnet, its previous prefix becomes topologically
incorrect. Either it has to get a new prefix or there must be some
system support, e.g. host routes.
Of course another case is anchoring, like in 3GPP or in MIP. If you
are anchored your prefix does not change.

So you seem to ignore all these and instead introduce three types of
addresses among which the sustained IP address/prefix is the key to
your solution.

Sustained address/prefix has this magical property:
 the IP address used at the beginning of the session remains usable
despite the movement of the mobile host.

and then you say

access network anchoring, corresponding network anchoring, or some
   other solution
can provide sustained address/prefixes.
what does corresponding network anchoring mean?

I have a feeling that what your drafts are saying that right now we
don't know but we anticipate in the future some ways will be found to
make sustained IP addresses.
Is this true?

BTW, your DHCPv6 draft says that DHCPv6 server can give me a Sustained
address/prefix but it does not say how it will be different than the
fixed one?

Suppose we want to develop an access network anchoring for sustained
IP addresses.
What about the needs for signaling? I have a feeling that a host
running very many applications, like in today's smart phones, and so
many smart phones in the system that is going to involve huge amount
of signaling to get/release sustained address/prefixes, right?

My conclusion from all of the above is that, I think what you propose
sounds like a flashy idea but it seems to me that the complications
involved in any solution is intractable.
Unless you can show me otherwise.

 Regards,

Behcet

---

From: "Moses, Danny" <[email-masked]>
Date: Thu, 31 Mar 2016 16:43:30 +0000

Hi,
Good, see my reply inline (surrounded by >>>>>>>>>>>>) .

Thanks again for investing the time to review the drafts,
	/Danny

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]] 
Sent: Wednesday, March 30, 2016 12:12
To: Moses, Danny
Cc: [email-masked]
Subject: Re: [DMM] WGLC #1 for draft-ietf-dmm-ondemand-mobility-01

Hi Danny,

There is confusion in several levels. Your API draft talks about different applications on a MN needing different types of mobility services. Your DHCPv6 draft seems to give a solution on how a host can get different types of addresses/prefixes from DHCPv6 server, so is it for a host or an application?
Prefix or address is assigned for an interface, that is another well known concept which your draft seem to completely ignore, i.e. a host may have multiple interfaces.
DM>>>>>>>>>>>>>>>>>>>>>>
Yes, I understand were the confusion might arise. The only entity in the host (or - mobile device) which uses DHCP is the DHCP client that is part of the TCP/IP stack. There may be several triggers to cause the DHCP client to request a source IP address:
 - When the mobile node initially attaches to a network.
 - When the mobile node moves to a different location and needs to refresh its source IP address.
The On-Demand concept implies a new trigger:
 - When an application is launched, opens an IP Socket and requires a special type of source IP address which was not already assigned to the mobile node.
So, it is the responsibility of the TCP/IP stack in the mobile node to figure out when it is required to initiate a DHCP transaction to serve the application's needs.

Regarding multiple interface, you are correct once more. A mobile node may have multiple interfaces. When this occurs, the mobile node needs to send at least one DHCP request on each interface and the network assigns the source IP address to the interface from which the DHCP request had arrived. This is not new and the DHCP draft does not mention it because there are no changes or extensions required.
>>>>>>>>>>>>>>>>>>>>>>>>>DM

Another concept is (as I already mentioned) topological correctness.
If MN changes subnet, its previous prefix becomes topologically incorrect. Either it has to get a new prefix or there must be some system support, e.g. host routes.
Of course another case is anchoring, like in 3GPP or in MIP. If you are anchored your prefix does not change.

So you seem to ignore all these and instead introduce three types of addresses among which the sustained IP address/prefix is the key to your solution.

Sustained address/prefix has this magical property:
 the IP address used at the beginning of the session remains usable despite the movement of the mobile host.

and then you say

DM>>>>>>>>>>>>>>>>>>
Corresponding network is a concept from Alper Yegin's draft - https://datatracker.ietf.org/doc/draft-yegin-dmm-cnet-homing/. It defines the concept of having the mobility anchor in the network of the mobile node's corresponding node, rather than in the access network. It is an interesting concept with its advantages (and disadvantages...).
>>>>>>>>>>>>>>>>>>>DM

I have a feeling that what your drafts are saying that right now we don't know but we anticipate in the future some ways will be found to make sustained IP addresses.
Is this true?
DM>>>>>>>>>>>>>>>>>>>>
Well, we do know how the network can support sustained addresses. But I believe that in our DMM work, new alternatives for supporting Fixed and Sustained IP addresses will be defined.
>>>>>>>>>>>>>>>>>>>>>DM

BTW, your DHCPv6 draft says that DHCPv6 server can give me a Sustained address/prefix but it does not say how it will be different than the fixed one?
DM>>>>>>>>>>>>>>>>>>>>>>>
That is correct. The DHCPv6 draft defines the extensions to DHCPv6 in order to support the requests and replies. DHCP does not define how IP addresses are allocated.
>>>>>>>>>>>>>>>>>>>>>>>>DM

Suppose we want to develop an access network anchoring for sustained IP addresses.
What about the needs for signaling? I have a feeling that a host running very many applications, like in today's smart phones, and so many smart phones in the system that is going to involve huge amount of signaling to get/release sustained address/prefixes, right?
DM>>>>>>>>>>>>>>>>>>>>>
Yes, a mobile host may activate several applications concurrently, but this does not mean that each application requires its own unique source IP address. Let's assume that a large amount of application are launched, some require Fixed IP addresses, some require Sustained IP addresses and the rest settle for Nomadic IP addresses. In that case, only three source IP addresses are required by the mobile node: One Fixed IP address, one Sustained and one Nomadic IP address. So the signaling overhead is not that huge.
>>>>>>>>>>>>>>>>>>>>>>DM

My conclusion from all of the above is that, I think what you propose sounds like a flashy idea but it seems to me that the complications involved in any solution is intractable.
Unless you can show me otherwise.
DM>>>>>>>>>>>>>>>>>>>>>
I hope I managed to convince you that it is not that complicated. I really think (and there are other members who share this belief) that the tunneling overhead and un-optimized routes are much more costly than what we are suggesting in this new concept.
>>>>>>>>>>>>>>>>>>>>>>>DM

 Regards,

Behcet